Name:          awka
Version:       0.7.5
Release:       3mamba
Summary:       Translator of the AWK programming language to ANSI-C
Group:         Applications/Text
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@qilinux.it>
URL:           http://awka.sourceforge.net/
Source:        http://awka.sourceforge.net/%{name}-%{version}.tar.gz
Patch:         awka-%{version}-DESTDIR.patch
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Awka is an open-source implementation of the AWK programming language and is actually two products:

 - the AWK to C translator
 - a library against which the C code is linked

Awka is not an interpreter like Gawk, Mawk or Nawk, but instead it converts the program to ANSI-C, then compiles this using gcc or a native C compiler to create a binary executable. This means you must have an ANSI C compiler present on your system for Awka to work.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}

%description devel
This package contains static libraries need for development.

%prep
%setup -q
%patch -p1 

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/awka
%{_libdir}/libawka.so*
%{_includedir}/libawka.h
%{_mandir}/man[15]/*
%doc ACKNOWLEDGEMENTS CHANGELOG.txt PROBLEMS.txt README.txt TODO.txt

%files devel
%defattr(-,root,root)
%{_libdir}/libawka.a

%changelog
* Wed Aug 28 2013 Automatic Build System <autodist@mambasoft.it> 0.7.5-3mamba
- automatic rebuild by autodist

* Tue Oct 28 2008 Tiziana Ferro <tiziana.ferro@email.it> 0.7.5-2mamba
- rebuild
- update Group in devel package

* Wed Nov 16 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.7.5-1qilnx
- package created by autospec
